read.observatory {oce} | R Documentation

## Read observatory data file

### Description

Read observatory data file, e.g. produced by VENUS

### Usage

    read.observatory(file, type=c("ctd"),
                    debug=getOption("oceDebug"), processingLog, ...)
    read.observatory.ctd(file,
                         debug=getOption("oceDebug"), processingLog, ...)

### Arguments

`file` | a connection or a character string giving the name of the file to load.
`type` | type of data; must be `"ctd"`, the only type handled at present.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)
`...` | additional arguments, passed to called routines.

### Details

These are a preliminary versions of functions that may be extended or deleted in a future version of Oce. Part of the uncertainty is that the format was inferred from inspection of files, and this is always a dangerous path (compared to following lear documentation on file formats) because the data archiver might alter formats in future.

### Value

An object of `class` `"ctd"`.

### Author(s)

Dan Kelley

### References

http://venus.uvic.ca/data/data-archive/

### See Also

The documentation for `ctd-class` explains the structure of `ctd` objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    ## Not run:
    ctd <- read.oce("data.txt")
    ## mooring data are not profiles, so show timeseries
    par(mfrow=c(3,1))
    oce.plot.ts(ctd[["time"]], ctd[["pressure"]])
    oce.plot.ts(ctd[["time"]], ctd[["salinity"]])
    oce.plot.ts(ctd[["time"]], ctd[["temperature"]])

    ## End(Not run)

[Package oce version 0.9-18 Index]